## org.jfree.data
Interface SeriesDataset

All Superinterfaces:
  Dataset

All Known Subinterfaces:
  BoxAndWhiskerXYDataset, ContourDataset, HighLowDataset, IntervalXYDataset, IntervalXYZDataset, SignalsDataset, TableXYDataset, WindDataset, XYDataset, XYZDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractSeriesDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, CyclicXYItemRenderer.OverwriteDataSet, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultTableXYDataset, DefaultWindDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, OHLCDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYBarDataset, XYSeriesCollection

public interface SeriesDataset
extends Dataset

The interface for a dataset consisting of one or many series of data.

See Also:
  `CategoryDataset`, `IntervalXYDataset`, `IntervalXYZDataset`, `XYDataset`, `XYZDataset`

Method Summary
`int` `getSeriesCount()` Returns the number of series in the dataset.
`java.lang.String` `getSeriesName(int series)` Returns the name of a series.

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the dataset.

  Returns:
    the series count.

### getSeriesName

    public java.lang.String getSeriesName(int series)

  Returns the name of a series.

  Parameters:
    `series` - the series (zero-based index).
  Returns:
    the name of the series.